MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023268Community[OCCT] OCCT:Visualizationpublic2012-07-12 14:472012-11-16 13:16
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2005OS Version32 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023268: cppcheck warning: Using size of pointer WIDTHMAP instead of size of its data.
DescriptionIn CGM_Driver.cxx, line 385.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020930)
Pawel (developer)
2012-07-12 15:15

Corresponding git branch pushed. Please review.
(0020932)
abv (manager)
2012-07-12 15:51

No remarks, please test
(0020945)
mkv (tester)
2012-07-13 12:13

Dear BugMaster,
The workbenches
KAS:dev:mkv-23268-occt (GIT branch CR23268)
KAS:dev:mkv-23268-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23268-products_12072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 8bde65b4
Timestamp: 2012-07-12 11:13:58
Author: Pawel
Details ] Diff ]
0023268: cppcheck warning: Using size of pointer WIDTHMAP instead of size of its data.

Using the size of the array in bytes.
mod - src/CGM/CGM_Driver.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-12 14:47 Pawel New Issue
2012-07-12 14:47 Pawel Assigned To => Pawel
2012-07-12 15:15 Pawel Note Added: 0020930
2012-07-12 15:15 Pawel Assigned To Pawel => bugmaster
2012-07-12 15:15 Pawel Status new => resolved
2012-07-12 15:51 abv Note Added: 0020932
2012-07-12 15:51 abv Status resolved => reviewed
2012-07-12 16:05 mkv Assigned To bugmaster => mkv
2012-07-13 12:13 mkv Note Added: 0020945
2012-07-13 12:13 mkv Test case number => Not needed
2012-07-13 12:13 mkv Assigned To mkv => bugmaster
2012-07-13 12:13 mkv Status reviewed => tested
2012-07-17 17:50 Pawel Changeset attached => occt master 8bde65b4
2012-07-17 17:50 Pawel Assigned To bugmaster => Pawel
2012-07-17 17:50 Pawel Status tested => verified
2012-07-17 17:50 Pawel Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:16 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker